Create Authorization

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/authorization
API call form
Examples
List of examples
  • Create an embed token
  • Create a Login token
  • Create an API token
  • Specify parameter overrides when creating an embed token
  • Specify a global filter when creating an embed token
  • Specify a chart filter when creating an embed token
  • Specify an initialization filter on a dropdown or slicer filter item when creating an embed token
  • Specify an initialization filter on a datefilter item when creating an embed token
  • Specify an initialization filter on a slider item when creating an embed token
  • Specify an initialization filter on a chart when creating an embed token
  • Specify a having filter on a dashboard level when creating an embed token
  • Specify a having filter on a chart level when creating an embed token
  • Specify a theme override when creating an embed token
  • Specify a CSS override when creating an embed token
  • Specify a feature override when creating an embed token
  • Specify a currency override when creating an embed token
  • Specify a timezone override when creating an embed token
  • Specify column(s) to hide when creating an embed token
  • Specify AWS Athena connection override when creating an embed token
  • Specify BigQuery connection override when creating an embed token
  • Specify BigQuery dataset(s) connection override when creating an embed token
  • Specify Clickhouse connection override when creating an embed token
  • Specify Clickhouse dataset(s) connection override when creating an embed token
  • Specify Databricks connection override when creating an embed token
  • Specify Databricks dataset(s) connection override when creating an embed token
  • Specify ElasticSearch connection override when creating an embed token
  • Specify ElasticSearch dataset(s) connection override when creating an embed token
  • Specify MariaDB connection override when creating an embed token
  • Specify MariaDB dataset(s) connection override when creating an embed token
  • Specify MongoDB connection override when creating an embed token
  • Specify MongoDB dataset(s) connection override when creating an embed token
  • Specify MySQL connection override when creating an embed token
  • Specify MySQL dataset(s) connection override when creating an embed token
  • Specify Oracle connection override when creating an embed token
  • Specify PostgreSQL connection override when creating an embed token
  • Specify PostgreSQL dataset(s) connection override when creating an embed token
  • Specify Presto connection override when creating an embed token
  • Specify Presto dataset(s) connection override when creating an embed token
  • Specify Redshift connection override when creating an embed token
  • Specify Redshift dataset(s) connection override when creating an embed token
  • Specify SAP HANA connection override when creating an embed token
  • Specify Snowflake connection override when creating an embed token
  • Specify Snowflake dataset(s) connection override when creating an embed token
  • Specify SQL Server connection override when creating an embed token
  • Specify SQL Server dataset(s) connection override when creating an embed token
  • Specify Azure Synapse connection override when creating an embed token
  • Specify Trino connection override when creating an embed token
  • Specify Trino dataset(s) connection override when creating an embed token
  • Specify Plugin connection override when creating an embed token
  • Create an embed token with a Luzmo IQ context
Description

This will create an Embed token and override the properties specified for the BigQuery connection When doing connection overrides, it's important that the schema of the tables in the override conform to the same schema as the original datasets to avoid query failures due to schema mismatches The fields available for overriding a Bigquery connection are as follows

  • Connection ID: The ID of the Connection to be overridden. Retrieve the ID to specify as detailed here

  • key: The new IAM Service account 'client-email'

  • token: The new IAM Service account 'private-key'. Make sure to escape /n newline characters in the token

  • schema: A concatenation of a Bigquery project and dataset identifier, separated by a colon ':' (i.e. <bigquery_project_id>:<bigquery_dataset> )

  • table: The new Bigquery table to query. NOTE: the columns from this table need to conform to the same schema as the original dataset to avoid query failures due to schema mismatches

  • datasets: List of dataset-level overrides. Useful if you want to override only a single dataset in your dashboard or if you have a separate table per client. The SQL query of the dataset can also be overridden if it's a SQL dataset within Luzmo

    • schema: A concatenation of a Bigquery project and dataset identifier, separated by a colon ':' (i.e. <bigquery_project_id>:<bigquery_dataset> )

    • table: The new Bigquery table to query. NOTE: the columns from this table need to conform to the same schema as the original dataset to avoid query failures due to schema mismatches

    • sql: The new SQL query to run (only for SQL datasets). Alternatively, you could also use parameterized SQL Datasets .

Install
npm install @luzmo/nodejs-sdk